> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774829655.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get plans

> The endpoint retrieves all active [plans](/glossary#crypto-lending).

<Note>
These endpoints are available only for B2B partner services. Fill the institutional services form to get permissions to use these endpoints.
</Note>

**Note:** When target currency is different from source currency, interest amount in target currency will be calculated using `interestRatio` value.

**Examples:**
- When source currency = USDT, target currency = BTC and interest ratio = 40000, interest is received in BTC and equals the USDT interest amount divided by the interest ratio (e.g. 0.000025 BTC per 1 USDT of interest).
- When source currency equals target currency, interest ratio equals 1.

<Warning>
Rate limit: 1000 requests/10 sec.
</Warning>

<Note>
The API does not cache the response.
</Note>


<Note>
  These endpoints are available only for B2B partner services. Fill the form at [https://whitebit.com/institutional-services/b2b](https://whitebit.com/institutional-services/b2b) to request access.
</Note>


## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/main-account/smart/plans
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/main-account/smart/plans:
    post:
      tags:
        - Crypto Lending - Fixed
      summary: Get plans
      description: >
        The endpoint retrieves all active [plans](/glossary#crypto-lending).


        <Note>

        These endpoints are available only for B2B partner services. Fill the
        institutional services form to get permissions to use these endpoints.

        </Note>


        **Note:** When target currency is different from source currency,
        interest amount in target currency will be calculated using
        `interestRatio` value.


        **Examples:**

        - When source currency = USDT, target currency = BTC and interest ratio
        = 40000, interest is received in BTC and equals the USDT interest amount
        divided by the interest ratio (e.g. 0.000025 BTC per 1 USDT of
        interest).

        - When source currency equals target currency, interest ratio equals 1.


        <Warning>

        Rate limit: 1000 requests/10 sec.

        </Warning>


        <Note>

        The API does not cache the response.

        </Note>
      operationId: getFixedPlans
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - request
                - nonce
              properties:
                ticker:
                  type: string
                  description: >-
                    [Invest plan](/glossary#crypto-lending) source currency's
                    [ticker](/glossary#ticker). Example: BTC
                  example: USDT
                request:
                  type: string
                  description: Request signature
                  example: '{{request}}'
                nonce:
                  type: string
                  description: Unique request identifier
                  example: '{{nonce}}'
            example:
              ticker: USDT
              request: '{{request}}'
              nonce: '{{nonce}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FixedPlan'
              example:
                - id: 8e667b4a-0b71-4988-8af5-9474dbfaeb51
                  ticker: USDT
                  status: 1
                  percent: '10'
                  duration: 14400
                  interestTicker: USDT
                  interestRatio: '1'
                  minInvestment: '100'
                  maxInvestment: '10000'
                  maxPossibleInvestment: '3000'
        '400':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                invalidTicker:
                  summary: Invalid ticker
                  value:
                    code: 0
                    message: Validation failed
                    errors:
                      ticker:
                        - The selected ticker is invalid.
components:
  schemas:
    FixedPlan:
      type: object
      properties:
        id:
          type: string
          description: Invest plan identifier
          example: '1'
        ticker:
          type: string
          description: Source currency ticker
          example: BTC
        status:
          type: integer
          description: Status (1 - active, 2 - no coins left, 3 - inactive, 4 - pause)
          example: 1
        percent:
          type: string
          description: Interest percent
          example: '0.01'
        duration:
          type: integer
          description: Investment duration (in minutes)
          example: 40320
        interestTicker:
          type: string
          description: Target currency ticker
          example: BTC
        interestRatio:
          type: string
          description: Target currency to source currency ratio
          example: '1'
        minInvestment:
          type: string
          description: Minimum investment amount
          example: '100'
        maxInvestment:
          type: string
          description: Maximum investment amount
          example: '10000'
        maxPossibleInvestment:
          type: string
          description: Maximum investment amount due to current invest plan state
          example: '3000'
    Error:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: API key authentication using signed requests

````